<template>
  <v-row class="todo-add-view">
    <v-col class="side-col"></v-col>
    <v-col class="todo-add-view-col">
      <p class="add-task-header default-header">New task</p>
      <p class="new-task-text default-text-bold">Task name</p>
      <input-field-area
        v-on:update-text="updateText"
        placeholder="Enter task name..."
        class="new-task-input"
      ></input-field-area>

      <button
        class="add-task-button default-button-peach default-medium-text-900"
        @click="addTask"
      >
        Create
      </button>
    </v-col>
    <v-col class="side-col">
      <cancel-button class="cancel-task-button only-desktop" />
    </v-col>
  </v-row>
</template>

<script>
import InputFieldArea from "../components/input/InputFieldArea";
import CancelButton from "../components/CancelButton";
export default {
  data() {
    return {
      todoText: "",
    };
  },
  components: {
    InputFieldArea,
    CancelButton,
  },
  methods: {
    addTask() {
      if (this.isNullOrWhitespace(this.todoText)) {
        alert("Task can't be empty");
        return;
      }
      this.$store.dispatch("tasks/addTodo", this.todoText);
      this.$router.go(-1);
    },
    updateText(data) {
      this.todoText = data.text;
    },
    isNullOrWhitespace(input) {
      return !input || !input.trim();
    },
  },
};
</script>

<style lang="sass">
@import "../scss/media_mixin.sass"
@import "../scss/animations.sass"

.todo-add-view
  .todo-add-view-col
    position: relative
    text-align: center
    max-width: 340px
    @include media_960
      text-align: start

  .add-task-header
    padding-top: 185px
    @include media_960
      padding:
        top: 63px

  .new-task-text
    padding-top: 80px

  .new-task-input
    padding-top: 30px

  .add-task-button
    margin-top: 104px
    width: 325px
    @include media_960
      position: absolute
      bottom: 50px

  .cancel-task-button
    margin-top: 172px
    margin-left: 15px
</style>
